SocialEngine Blog

SocialEngine is the best way to create a unique community website. Let your friends, fans or customers geek out about anything you want.

SocialEngine PHP 4.8.10 is Released

SocialEngine PHP 4.8.10 is here

 

We’re glad to announce that SocialEngine PHP 4.8.10 is released. This update comes with total 15 fixes out of which 10 were reported by our awesome community. It comes with an upgraded and better version of flowplayer and also fixes an issue that happened because of some recent changes done by Facebook in their API.

While we’re working hard to deliver some great features in our next release, we felt that releasing an update with some relevant fixes would be good for your online communities to remain updated on technical and security fronts.

How to upgrade: You can download this latest version of SocialEngine PHP from the client area. We’ve also updated Blogs, Classifieds, Events, Groups, Forums and Videos plugins to 4.8.10.

Click here to read the full KB article on the detailed upgrade process.

Changes:

  • Fixed issue with email not getting populated during signup via Facebook. This issue was a result of some changes done by Facebook recently in their API.
  • Fixed issue with post sharing not working when Janrain integration is enabled.
  • Upgraded FlowPlayer to v3.2.18 fixing some vulnerabilities that existed in older version. Issue #56
  • Updated Blog Module to fix a potential vulnerability.
  • Fixed an issue that prevented HTML5 videos from playing when displayed using embed code.
  • Fixed issue with members’ search not working with select-box type profile fields.
  • Fixed security warnings appearing on SSL enabled websites when using VigLink. Fixes #32
  • Fixed issue with group invite notifications not being sent to members. Fixes #191
  • Fixed multiple log errors. Fixes #247, #220 and more
  • Added some missing translations. Fixes #255 and more
  • Fixed translation issue with text that suggests using full uploader when trying to upload video from activity feed. Fixes #53
  • Fixed typo in Search Page title. Fixes #251
  • Fixed scaffold issue with absolute URLs. Fixes #275
  • Fixed transaction error that appeared when using PHP’s PDO adapter.
  • Updated code to fetch description from og:description tag when adding a link from activity feed if description meta-tag has not been not set for that page.
  • Fixed search issue with member’s transaction details.
  • Added exif, which is required for correct rotation of photos uploaded via mobile devices, to the list of recommended PHP extensions.
  • Increased token expiry time to fix issue that prevented users from posting a blog if they were on the page for more than 5 minutes. Fixes #73

Changelog: You can also browse the complete changelog for more details about the changes and fixes implemented in SocialEngine PHP 4.8.10.

NOTE: Please make sure that you do a complete backup of both files and database before performing this upgrade. Please get it done by a developer if you’re not comfortable with the installation and backup process yourself. We do have an upgrade service available for $150 which you can purchase from our Client Store.

Your feedback is important to us. So, keep submitting feature requests or bug reports for SocialEngine PHP to our public bugs and suggestions tracker. Thanks again for your support!

Please contact us if you have any questions.

Thank you!

23 Comments

  1. Posted January 20, 2016 at 7:44 pm | Permalink

    No new themes in this update

  2. Posted January 20, 2016 at 7:46 pm | Permalink

    Yes, since this is a “patch” release. A new theme is planned for 4.9.0.

  3. Posted January 20, 2016 at 7:51 pm | Permalink

    I pay the SocialEngine but I see that this update has themes 4.8.10

  4. Posted January 20, 2016 at 11:46 pm | Permalink

    Hello, if you’ve already purchased SocialEngine and mean to ask whether or not default themes that come with package are compatible with SocialEngine 4.8.10, then I would say ‘Yes’, all our default themes are compatible with this update. If your query is about something else, please feel free to ask or you can also send an email directly at support@socialengine.com. Thanks.

  5. Posted January 20, 2016 at 11:48 pm | Permalink

    Hello, while we’re working hard to develop high quality features to be released in our next major upgrade, we’re unable to specify a particular date. Stay tuned to the blog and newsletter as that’s were we’ll announce new information when we have it. Thanks!

  6. Posted January 20, 2016 at 11:51 pm | Permalink

    Thanks so much John! Glad you liked the product. During your upgrade, if you face any queries, please feel free to file a support ticket and our team will help you out.

  7. Hire-Experts LLC
    Posted January 21, 2016 at 3:44 am | Permalink

    Great news congratulations! Any news about marketplace launch date?

  8. Posted January 21, 2016 at 8:13 am | Permalink

    Thanks! These patch releases are good to keep the community engaged.

  9. Posted January 22, 2016 at 2:29 am | Permalink

    Congratulations SocialEngine team for this release. Good to know about the various fixes done in 4.8.10. This upgrade is a step forward in making SocialEngine PHP more robust & secure. All our plugins are now compatible with the latest SE PHP 4.8.10, details of which can be checked here: https://www.socialengineaddons.com/content/compatibility-plugins-socialengine-php-4810.

  10. Posted January 22, 2016 at 4:35 am | Permalink

    Thanks @SocialEngineAddOns:disqus! Glad to know about the quick updates released by you guys!

  11. Posted January 22, 2016 at 4:36 am | Permalink

    Thanks @setweaks:disqus!

  12. Ahmet Kılıvan
    Posted January 24, 2016 at 6:32 am | Permalink

    Is there any performance issue on new relase?

  13. jammers
    Posted January 24, 2016 at 11:14 am | Permalink

    Do you have a version planned for updates (or replacement of) TinyMCE?

  14. Posted January 25, 2016 at 2:14 am | Permalink

    great work guys!! Keep up the good work.

  15. Posted January 28, 2016 at 8:13 pm | Permalink

    None that we know of.

  16. Posted January 28, 2016 at 8:14 pm | Permalink

    we plan to address various wysywig issues in 4.9. See this issue for current discussion: https://github.com/SocialEngine/phpv4-issues/issues/278

  17. Posted January 31, 2016 at 1:48 pm | Permalink

    I am assuming we need to apply the ZEND update also?

  18. Posted February 1, 2016 at 12:22 am | Permalink

    Hello, Zend doesn’t need to be upgraded separately. When SocialEngine PHP is upgraded on your site, Zend library (that exists in libraries directory) would also get updated.

  19. Posted February 1, 2016 at 12:43 am | Permalink

    As I mentioned in another comment that Zend doesn’t need to be upgraded separately, we’ve not faced any theme related issues after recent upgrade. If you still have any specific issues on your server, please send an email at support@socialengine.com and our support team will help you out. Thanks!

  20. Posted February 9, 2016 at 8:47 pm | Permalink

    See this issue on our bug/feature tracker: https://github.com/SocialEngine/phpv4-issues/issues/186 Feel free to subscribe and you will be notified when we have php7 support.

  21. Christopher Dodson
    Posted February 21, 2016 at 9:39 pm | Permalink

    Any chance that animated gif support will be added? Been on the list for a few years now (according to the developers) but we’re still using the outdated plugins to display JPG/PNG only.

  22. Posted February 21, 2016 at 10:08 pm | Permalink

    Hi Christopher! Thanks for your query. Yes, we already have a plan to release this feature in v4.9 and it has already been included in our roadmap. To remain updated with the development of this feature, you can subscribe to this GitHub issue: https://github.com/SocialEngine/phpv4-issues/issues/165
    Thanks!

  23. Serious
    Posted March 7, 2016 at 2:13 pm | Permalink

    Nice to do an update without any problems… Good work guys!

Post a Comment

Your email is kept private. Required fields are marked *

*
*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>